

REM #Doc: This is the Custom Refile Environ Script
REM #Doc: it Can be used to set special settings for custom before refile start's
REM #New: 19.11.2013/J.Fes

call :RfDefaults
if /I "%RfReplica%" equ "YES" Call :RfRO
if /I "%RfReplica%" neq "YES" Call :RfSO

goto :eof

REM ----------------------------------------------------------------------------
:RfDefaults
 if /I "%RfPara%" equ "%RfPara: -update_mod_props=no=%" goto :JumbOver
   REM #Doc: 01.06.2011 Info from Phil.K
   SET TC_UPDATE_MOD_PROPS=NO
 :JumbOver
 goto :eof

REM ----------------------------------------------------------------------------
:RfSO
 REM set's Custom environ IF SO Side Objects is refiled
 SET UGII_UGMGR_ALLOW_REFILE_REPLICA_BYPASS=
 SET IMAN_UG_REFILE_REPLACE_FILE=
 REM UGII_DISABLE_PREVIEW nicht bei OwingSite Object's
 set UGII_DISABLE_PREVIEW=
 REM UGII_DISABLE_QAF_NAMED_REFS nicht bei OwingSite Object's
 set UGII_DISABLE_QAF_NAMED_REFS=
 goto :eof

REM ----------------------------------------------------------------------------
:RfRO
 REM #Doc: Set Multisite EnvironmentRO Replica Objects is refiled
 if /I "%JobParameter%" EQU "%JobParameter: -replica_bypass=yes=%" set RfPara=%RfPara% -replica_bypass=yes

 REM #Doc: 09/10/2014/J.Fes add new see: IR1996966
 if /I "%JobParameter%" EQU "%JobParameter: -replace_file=yes=%" set RfPara=%RfPara% -replace_file=yes
 set UGII_UGMGR_REFILE_REPLACE_FILE=yes

 SET UGII_UGMGR_ALLOW_REFILE_REPLICA_BYPASS=true
 REM 18.05.2010/J.Fes ad see E-Mail David Geisler 15. Mai 2010 00:19
 SET IMAN_UG_REFILE_REPLACE_FILE=true
 REM umgestellt von set UGII_DISABLE_PREVIEW=on auf set UGII_DISABLE_PREVIEW=
 set UGII_DISABLE_PREVIEW=ON
 REM umgestellt von set UGII_DISABLE_QAF_NAMED_REFS=ON auf set UGII_DISABLE_QAF_NAMED_REFS
 set UGII_DISABLE_QAF_NAMED_REFS=ON

 if /i "%JobMgr_Debug%" neq "ON"  goto :JumbOver
  Call Echo "#Debug: Check if RfPara contains: [-replica_bypass=yes]
  Call Echo "RfPara..........................: [%RfPara%]
  Call Echo "RfReplica.......................: [%RfReplica%]
  Call Echo "UGII_UGMGR_ALLOW_REFILE_REPLICA_: [%UGII_UGMGR_ALLOW_REFILE_REPLICA_BYPASS%]   UGII_UGMGR_ALLOW_REFILE_REPLICA_BYPASS
  Call Echo "UGII_UGMGR_REFILE_REPLACE_FILE..: [%UGII_UGMGR_REFILE_REPLACE_FILE%]
  Call Echo "IMAN_UG_REFILE_REPLACE_FILE.....: [%IMAN_UG_REFILE_REPLACE_FILE%]
  pause
:JumbOver
 goto :eof
